Bug 1254799 - Review Request: pgbadger - A fast PostgreSQL log analyzer
Review Request: pgbadger - A fast PostgreSQL log analyzer
Status: NEW
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-18 17:47 EDT by Devrim GÜNDÜZ
Modified: 2017-04-13 06:17 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Devrim GÜNDÜZ 2015-08-18 17:47:55 EDT
Spec URL: http://www.gunduz.org/epel/pgbadger.spec
SRPM URL: http://www.gunduz.org/epel/pgbadger-7.1-1.f22.src.rpm

Description:

pgBadger is a PostgreSQL log analyzer build for speed with fully
detailed reports from your PostgreSQL log file. It's a single and small
Perl script that aims to replace and outperform the old php script
pgFouine.

pgBadger is written in pure Perl language. It uses a javascript library
to draw graphs so that you don't need additional Perl modules or any
other package to install. Furthermore, this library gives us more
features such as zooming.

pgBadger is able to autodetect your log file format (syslog, stderr or
csvlog). It is designed to parse huge log files as well as gzip
compressed file.

Fedora Account System Username: devrim
Comment 1 Eduardo Mayorga 2016-09-30 12:45:52 EDT
SRPM URL returns 404 Not Found.
Comment 2 Devrim GÜNDÜZ 2016-09-30 12:58:01 EDT
(In reply to Eduardo Mayorga from comment #1)
> SRPM URL returns 404 Not Found.

Updated to 9.0:

Spec URL: https://devrim.fedorapeople.org/pgbadger/pgbadger.spec
SRPM URL: https://devrim.fedorapeople.org/pgbadger/pgbadger-9.0-1.f24.src.rpm

Thanks!

Regards, Devrim
Comment 3 Jakub Jedelsky 2017-04-13 05:44:51 EDT
Hi,

there are missing dependencies in the spec file. You have to add (at least):

BuildRequires: perl
BuildRequires: perl-ExtUtils-MakeMaker
Requires: perl
Comment 4 Jakub Jedelsky 2017-04-13 06:12:37 EDT
Another observation - pgBadger uses and includes(!) bootstrap.css, some fancy fonts and JS libraries (jqplot, jquery). 

1. please check, if it's possible to bundle them together or is better to split it somehow. I'm not the expert for that. There is some note, that fonts should be packaged standalone (font Awesome is in fedora already, so you can add it as a dependency and drop it from package).

https://fedoraproject.org/wiki/Packaging:Guidelines#Avoid_bundling_of_fonts_in_other_packages

2. It looks that these css, js libraries have different licenses, so you should mention them with License tag.

https://fedoraproject.org/wiki/Packaging:LicensingGuidelines?rd=Packaging/LicensingGuidelines#Multiple_Licensing_Scenarios for more details.

Thanks for the work, I'm looking forward to have the package in repos :)
Comment 5 Devrim GÜNDÜZ 2017-04-13 06:17:17 EDT
(In reply to Jakub Jedelsky from comment #3)
> Hi,
> 
> there are missing dependencies in the spec file. You have to add (at least):
> 
> BuildRequires: perl
> BuildRequires: perl-ExtUtils-MakeMaker
> Requires: perl

Thanks, done, and also updated to 9.1:

Spec URL: https://devrim.fedorapeople.org/pgbadger/pgbadger.spec
SRPM URL: https://devrim.fedorapeople.org/pgbadger/pgbadger-9.1-1.fc25.src.rpm

Regards, Devrim

Note You need to log in before you can comment on or make changes to this bug.